/*!
 * @file  callbacks.h
 * @brief gtk/gdkのコールバック関数関連
 * @author Tsuyoshi SUENAGA
 * @date $Date$
 *
 * $Id$
 */
#include <gtk/gtk.h>

void
initialize_for_gtk(void);

void *
gtk_main_thread(void);

double
get_horizon(void);

double
get_vertical(void);

void
set_sign(double x, double y);

void
on_window1_destroy                     (GtkObject       *object,
                                        gpointer         user_data);

gboolean
on_drawingarea1_button_press_event     (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_drawingarea1_button_release_event   (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_drawingarea1_motion_notify_event    (GtkWidget       *widget,
                                        GdkEventMotion  *event,
                                        gpointer         user_data);

gboolean
on_drawingarea1_expose_event           (GtkWidget       *widget,
                                        GdkEventExpose  *event,
                                        gpointer         user_data);
